## r-bioc-demixt 1.4.0

=== DESCRIPTION ===
Package: DeMixT
Title: Cell type-specific deconvolution of heterogeneous tumor samples
        with two or three components using expression data from RNAseq
        or microarray platforms
Version: 1.4.0
Date: 2020-04-11
Author: Zeya Wang <zw17.rice@gmail.com>, Shaolong
        Cao<scao@mdanderson.org>, Wenyi Wang <wwang7@@mdanderson.org>
Maintainer: Shaolong Cao<scao@mdanderson.org>, Peng Yang <pyang7@mdanderson.org>
Description: DeMixT is a software package that performs deconvolution on transcriptome 
             data from a mixture of two or three components.
LazyData: TRUE
Depends: R (>= 3.6.0), parallel, Rcpp (>= 1.0.0), SummarizedExperiment,
        knitr, KernSmooth, matrixcalc
Imports: matrixStats, stats, truncdist, base64enc, ggplot2
LinkingTo: Rcpp
NeedsCompilation: yes
VignetteBuilder: knitr
biocViews: Software, StatisticalMethod, Classification, GeneExpression,
        Sequencing, Microarray, TissueMicroarray, Coverage
License: GPL-3
RoxygenNote: 7.0.2
git_url: https://git.bioconductor.org/packages/DeMixT
git_branch: RELEASE_3_11
git_last_commit: 79d97ec
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
Packaged: 2020-04-28 04:02:41 UTC; biocbuild

=== debian/changelog ===
r-bioc-demixt (1.4.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:06:47 +0000

r-bioc-demixt (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 09:06:21 +0200

r-bioc-demixt (1.2.5-3) unstable; urgency=medium

  * Team Upload.

  [ Steffen Möller ]
  * Fixed the fixme

  [ Nilesh Patra ]
  * Modify tests to weave Rmd
  * Fix permissions of *.Rmd files
  * Update upstream/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 05 Apr 2020 16:32:04 +0530

r-bioc-demixt (1.2.5-2) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 25 Mar 2020 11:14:12 +0100

r-bioc-demixt (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * Initial release (closes: #951575)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Mar 2020 08:21:52 +0100

=== debian/control ===
Source: r-bioc-demixt
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 1.0.0),
               r-bioc-summarizedexperiment,
               r-cran-knitr,
               r-cran-kernsmooth,
               r-cran-matrixcalc,
               r-cran-matrixstats,
               r-cran-truncdist,
               r-cran-base64enc,
               r-cran-ggplot2
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-demixt
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-demixt.git
Homepage: https://bioconductor.org/packages/DeMixT/
Rules-Requires-Root: no

Package: r-bioc-demixt
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Cell type-specific deconvolution of heterogeneous tumor samples
 When studying cancer cells from tumors excised from patients, the samples
 will be a mixture of tumors and healthy cells, e.g. from invading immune cells.
 For comparing samples, the interest may be more on comparing the transcriptome
 of the tumors themselves.
 .
 This package prepares the statistical separation (deconvolution)
 of RNAseq or microarray generated expression data for two or three
 components.

## r-bioc-demixt 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Title: Cell type-specific deconvolution of heterogeneous tumor samples
         with two or three components using expression data from RNAseq
         or microarray platforms
-Version: 1.4.0
-Date: 2020-04-11
+Version: 1.6.0
+Date: 2020-10-09
 Author: Zeya Wang <zw17.rice@gmail.com>, Shaolong
         Cao<scao@mdanderson.org>, Wenyi Wang <wwang7@@mdanderson.org>
 Maintainer: Shaolong Cao<scao@mdanderson.org>, Peng Yang <pyang7@mdanderson.org>
@@ -21,8 +21,8 @@
 License: GPL-3
 RoxygenNote: 7.0.2
 git_url: https://git.bioconductor.org/packages/DeMixT
-git_branch: RELEASE_3_11
-git_last_commit: 79d97ec
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
-Packaged: 2020-04-28 04:02:41 UTC; biocbuild
+git_branch: RELEASE_3_12
+git_last_commit: f3a7555
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
+Packaged: 2020-10-27 23:39:14 UTC; biocbuild

=== debian/changelog ===
r-bioc-demixt (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 03 Nov 2020 11:27:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-demixt
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 1.0.0),

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/DeMixT.html .*/DeMixT_(.*).tar.gz

## r-bioc-demixt 1.10.0

=== DESCRIPTION ===
Package: DeMixT
Title: Cell type-specific deconvolution of heterogeneous tumor samples
        with two or three components using expression data from RNAseq
        or microarray platforms
Version: 1.10.0
Date: 2021-09-27
Author: Zeya Wang <zw17.rice@gmail.com>, Shaolong
        Cao<scao@mdanderson.org>, Wenyi Wang <wwang7@@mdanderson.org>
Maintainer: Shaolong Cao<scao@mdanderson.org>, Peng Yang <pyang7@mdanderson.org>
Description: DeMixT is a software package that performs deconvolution on transcriptome 
             data from a mixture of two or three components.
LazyData: TRUE
Depends: R (>= 3.6.0), parallel, Rcpp (>= 1.0.0), SummarizedExperiment,
        knitr, KernSmooth, matrixcalc, rmarkdown
Imports: matrixStats, stats, truncdist, base64enc, ggplot2
LinkingTo: Rcpp
NeedsCompilation: yes
VignetteBuilder: knitr
biocViews: Software, StatisticalMethod, Classification, GeneExpression,
        Sequencing, Microarray, TissueMicroarray, Coverage
License: GPL-3
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/DeMixT
git_branch: RELEASE_3_14
git_last_commit: c4b178c
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
Packaged: 2021-10-26 21:16:19 UTC; biocbuild

=== debian/changelog ===
r-bioc-demixt (1.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.10.0
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 16:41:53 +0530

r-bioc-demixt (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 17:58:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 1.0.0),
+               r-cran-rcpp,
                r-bioc-summarizedexperiment,
                r-cran-knitr,
                r-cran-kernsmooth,
                r-cran-matrixcalc,
+               r-cran-rmarkdown,
                r-cran-matrixstats,
                r-cran-truncdist,
                r-cran-base64enc,
                r-cran-ggplot2
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-demixt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-demixt.git
 Homepage: https://bioconductor.org/packages/DeMixT/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/r-bioc-demixt/usr/lib/R/site-library/DeMixT/doc/*.Rmd

## r-bioc-demixt 1.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Title: Cell type-specific deconvolution of heterogeneous tumor samples
         with two or three components using expression data from RNAseq
         or microarray platforms
-Version: 1.10.0
-Date: 2021-09-27
+Version: 1.12.0
+Date: 2021-11-20
 Author: Zeya Wang <zw17.rice@gmail.com>, Shaolong
         Cao<scao@mdanderson.org>, Wenyi Wang <wwang7@@mdanderson.org>
-Maintainer: Shaolong Cao<scao@mdanderson.org>, Peng Yang <pyang7@mdanderson.org>
+Maintainer: Shuai Guo <shuai.guo@uth.tmc.edu>
 Description: DeMixT is a software package that performs deconvolution on transcriptome 
              data from a mixture of two or three components.
 LazyData: TRUE
@@ -21,8 +21,8 @@
 License: GPL-3
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/DeMixT
-git_branch: RELEASE_3_14
-git_last_commit: c4b178c
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 21:16:19 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: f7bf7d2
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 20:27:24 UTC; biocbuild

=== debian/changelog ===
r-bioc-demixt (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 21:13:20 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-cran-truncdist,
                r-cran-base64enc,
                r-cran-ggplot2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-demixt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-demixt.git
 Homepage: https://bioconductor.org/packages/DeMixT/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/DeMixT.html .*/DeMixT_(.*).tar.gz

## r-bioc-demixt 1.14.0+dfsg

=== DESCRIPTION ===
Package: DeMixT
Title: Cell type-specific deconvolution of heterogeneous tumor samples
        with two or three components using expression data from RNAseq
        or microarray platforms
Version: 1.14.0
Date: 2022-10-04
Author: Zeya Wang <zw17.rice@gmail.com>, Shaolong
        Cao<scao@mdanderson.org>, Wenyi Wang <wwang7@@mdanderson.org>
Maintainer: Shuai Guo <shuai.guo@uth.tmc.edu>
Description: DeMixT is a software package that performs deconvolution on transcriptome 
             data from a mixture of two or three components.
LazyData: TRUE
Depends: R (>= 3.6.0), parallel, Rcpp (>= 1.0.0), SummarizedExperiment,
        knitr, KernSmooth, matrixcalc, rmarkdown, DSS, dendextend,
        psych, sva
Imports: matrixStats, stats, truncdist, base64enc, ggplot2
LinkingTo: Rcpp
NeedsCompilation: yes
VignetteBuilder: knitr
biocViews: Software, StatisticalMethod, Classification, GeneExpression,
        Sequencing, Microarray, TissueMicroarray, Coverage
License: GPL-3
RoxygenNote: 7.1.2
Packaged: 2022-11-01 21:20:59 UTC; biocbuild
git_url: https://git.bioconductor.org/packages/DeMixT
git_branch: RELEASE_3_16
git_last_commit: 8da5af8
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01

=== debian/changelog ===
r-bioc-demixt (1.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Repack upstream source to exclude HTML doc with compressed JS
  * Build-Depends: r-bioc-dss
    Closes: #1024597
  * Add lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2022 09:12:51 +0100

r-bioc-demixt (1.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 13:38:58 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,10 @@
                r-cran-kernsmooth,
                r-cran-matrixcalc,
                r-cran-rmarkdown,
+               r-bioc-dss,
+               r-cran-dendextend,
+               r-cran-psych,
+               r-bioc-sva,
                r-cran-matrixstats,
                r-cran-truncdist,
                r-cran-base64enc,

=== debian/tests/control ===
Tests: run-unit-test 
Depends: @, r-cran-knitr, r-cran-rmarkdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/DeMixT.html .*/DeMixT_(.*).tar.gz

## r-bioc-demixt 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Cell type-specific deconvolution of heterogeneous tumor samples
         with two or three components using expression data from RNAseq
         or microarray platforms
-Version: 1.14.0
+Version: 1.16.0
 Date: 2022-10-04
 Author: Zeya Wang <zw17.rice@gmail.com>, Shaolong
         Cao<scao@mdanderson.org>, Wenyi Wang <wwang7@@mdanderson.org>
@@ -21,9 +21,9 @@
         Sequencing, Microarray, TissueMicroarray, Coverage
 License: GPL-3
 RoxygenNote: 7.1.2
-Packaged: 2022-11-01 21:20:59 UTC; biocbuild
+Packaged: 2023-04-25 20:51:43 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/DeMixT
-git_branch: RELEASE_3_16
-git_last_commit: 8da5af8
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 419f21b
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25

=== debian/changelog ===
r-bioc-demixt (1.16.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Rename d/t/run-unit-test to d/t/vignette

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 22:17:45 +0200

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-knitr, r-cran-rmarkdown
Restrictions: allow-stderr

## r-bioc-demixt 1.18.0%2Bdfsg

=== debian/changelog ===
r-bioc-demixt (1.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1058278
  * Remove vignette based test

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jan 2024 08:11:59 +0100

## r-bioc-demixt 1.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Cell type-specific deconvolution of heterogeneous tumor samples
         with two or three components using expression data from RNAseq
         or microarray platforms
-Version: 1.16.0
+Version: 1.18.0
 Date: 2022-10-04
 Author: Zeya Wang <zw17.rice@gmail.com>, Shaolong
         Cao<scao@mdanderson.org>, Wenyi Wang <wwang7@@mdanderson.org>
@@ -21,9 +21,10 @@
         Sequencing, Microarray, TissueMicroarray, Coverage
 License: GPL-3
 RoxygenNote: 7.1.2
-Packaged: 2023-04-25 20:51:43 UTC; biocbuild
+Packaged: 2024-01-11 21:52:22 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/DeMixT
-git_branch: RELEASE_3_17
-git_last_commit: 419f21b
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 27c62df
+git_last_commit_date: 2023-10-24
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-11

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: r-bioc-demixt
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-demixt
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-demixt.git
+Homepage: https://bioconductor.org/packages/DeMixT/
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp,
+               r-cran-rcpp (>= 1.0.0),
                r-bioc-summarizedexperiment,
                r-cran-knitr,
                r-cran-kernsmooth,
@@ -21,11 +25,7 @@
                r-cran-truncdist,
                r-cran-base64enc,
                r-cran-ggplot2
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-demixt
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-demixt.git
-Homepage: https://bioconductor.org/packages/DeMixT/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-demixt
 Architecture: any

## r-bioc-demixt 1.20.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Cell type-specific deconvolution of heterogeneous tumor samples
         with two or three components using expression data from RNAseq
         or microarray platforms
-Version: 1.18.0
+Version: 1.20.0
 Date: 2022-10-04
 Author: Zeya Wang <zw17.rice@gmail.com>, Shaolong
         Cao<scao@mdanderson.org>, Wenyi Wang <wwang7@@mdanderson.org>
@@ -21,10 +21,10 @@
         Sequencing, Microarray, TissueMicroarray, Coverage
 License: GPL-3
 RoxygenNote: 7.1.2
-Packaged: 2024-01-11 21:52:22 UTC; biocbuild
+Packaged: 2024-05-01 03:26:58 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/DeMixT
-git_branch: RELEASE_3_18
-git_last_commit: 27c62df
-git_last_commit_date: 2023-10-24
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-11
+git_branch: RELEASE_3_19
+git_last_commit: ba2ffad
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30

=== debian/changelog ===
r-bioc-demixt (1.20.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:51:40 +0200

r-bioc-demixt (1.20.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 19:37:22 +0200

r-bioc-demixt (1.20.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 16:10:00 +0200

=== debian/control ===
Source: r-bioc-demixt
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-cran-knitr,
               r-cran-kernsmooth,
               r-cran-matrixcalc,
               r-cran-rmarkdown,
               r-bioc-dss (>= 2.52.0),
               r-cran-dendextend,
               r-cran-psych,
               r-bioc-sva (>= 3.52.0),
               r-cran-matrixstats,
               r-cran-truncdist,
               r-cran-base64enc,
               r-cran-ggplot2,
               architecture-is-64-bit
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-demixt
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-demixt.git
Homepage: https://bioconductor.org/packages/DeMixT/
Rules-Requires-Root: no

Package: r-bioc-demixt
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-dss (>= 2.52.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Cell type-specific deconvolution of heterogeneous tumor samples
 When studying cancer cells from tumors excised from patients, the samples
 will be a mixture of tumors and healthy cells, e.g. from invading immune cells.
 For comparing samples, the interest may be more on comparing the transcriptome
 of the tumors themselves.
 .
 This package prepares the statistical separation (deconvolution)
 of RNAseq or microarray generated expression data for two or three
 components.

## r-bioc-demixt 1.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Title: Cell type-specific deconvolution of heterogeneous tumor samples
         with two or three components using expression data from RNAseq
         or microarray platforms
-Version: 1.20.0
+Version: 1.22.0
 Date: 2022-10-04
 Author: Zeya Wang <zw17.rice@gmail.com>, Shaolong
         Cao<scao@mdanderson.org>, Wenyi Wang <wwang7@@mdanderson.org>
-Maintainer: Shuai Guo <shuai.guo@uth.tmc.edu>
+Maintainer: Ruonan Li <RLi10@mdanderson.org>
 Description: DeMixT is a software package that performs deconvolution on transcriptome 
              data from a mixture of two or three components.
 LazyData: TRUE
@@ -21,10 +21,10 @@
         Sequencing, Microarray, TissueMicroarray, Coverage
 License: GPL-3
 RoxygenNote: 7.1.2
-Packaged: 2024-05-01 03:26:58 UTC; biocbuild
+Packaged: 2024-10-30 00:22:09 UTC; biocbuild
 git_url: https://git.bioconductor.org/packages/DeMixT
-git_branch: RELEASE_3_19
-git_last_commit: ba2ffad
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 71bb355
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29

=== debian/changelog ===
r-bioc-demixt (1.22.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 11:20:53 +0100

r-bioc-demixt (1.22.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 03 Dec 2024 17:59:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-bioc-summarizedexperiment (>= 1.34.0),
+               r-bioc-summarizedexperiment,
                r-cran-knitr,
                r-cran-kernsmooth,
                r-cran-matrixcalc,
                r-cran-rmarkdown,
-               r-bioc-dss (>= 2.52.0),
+               r-bioc-dss,
                r-cran-dendextend,
                r-cran-psych,
-               r-bioc-sva (>= 3.52.0),
+               r-bioc-sva,
                r-cran-matrixstats,
                r-cran-truncdist,
                r-cran-base64enc,
                r-cran-ggplot2,
                architecture-is-64-bit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-demixt
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-demixt.git
 Homepage: https://bioconductor.org/packages/DeMixT/
@@ -32,9 +32,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-summarizedexperiment (>= 1.34.0),
-         r-bioc-dss (>= 2.52.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: Cell type-specific deconvolution of heterogeneous tumor samples
